using System;

internal sealed class Delegate812 : MulticastDelegate
{
	public extern long Invoke(object object_0);

	public static long smethod_0(object object_0, Delegate812 delegate812_1)
	{
		return delegate812_1(object_0);
	}

	public extern Delegate812(object object_0, IntPtr intptr_0);

	static Delegate812()
	{
		Class10.smethod_13(typeof(Delegate812).TypeHandle);
	}

	internal static Delegate812 delegate812_0;
}
